Mailing List Archive

[PATCH 2/3] ruby-ng.eclass: don't quote IUSE in has test
I was looking at the generated metadata for nokogiri and noticed several
instances of 'test' in IUSE & RESTRICT. Ended up finding that the quoting
of 'IUSE' in has is wrong here.

Signed-off-by: Sam James <sam@gentoo.org>
---
eclass/ruby-ng.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index b81038237a6b..b63dd19e18f2 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -234,7 +234,7 @@ ruby_add_rdepend() {
6) DEPEND="${DEPEND} test? ( ${dependency} )" ;;
*) BDEPEND="${BDEPEND} test? ( ${dependency} )" ;;
esac
- if ! has test "$IUSE"; then
+ if ! has test ${IUSE}; then
IUSE+=" test"
RESTRICT+=" !test? ( test )"
fi
--
2.40.0